> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Global Companies Admin



## OpenAPI

````yaml /openapi.json get /admin/api/global-companies
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/global-companies:
    get:
      tags:
        - Global Companies Admin
      summary: List Global Companies Admin
      operationId: GlobalCompaniesAdminController_list
      parameters:
        - name: query
          required: false
          in: query
          schema:
            maxLength: 2048
            default: ''
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlobalCompanyPageResponseDto'
components:
  schemas:
    GlobalCompanyPageResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/GlobalCompanyResponseDto'
        hasMore:
          type: boolean
        nextCursor:
          type: string
          nullable: true
      required:
        - items
        - hasMore
        - nextCursor
    GlobalCompanyResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primaryType:
          enum:
            - brand
            - rep
            - dealer
            - distributor
          type: string
        legalName:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        aliases:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            type: string
        retiredAt:
          type: string
          nullable: true
      required:
        - id
        - name
        - primaryType
        - legalName
        - country
        - aliases
        - domains
        - retiredAt

````